Support » How-To and Troubleshooting » w.bloggar 4.0 & wp1.5 final

w.bloggar 4.0 & wp1.5 final

  • I have been using w.bloggar for a long time together with wp1.5ß6. Today I upgraded to wp1.5 final – which works nicely after some minor problems.

    Now w.bloggar seems unable to talk to the xmlrpc.php properly. I am getting some strange error message about an invalid XML response.

    Anyone got an idea?

Viewing 5 replies - 1 through 5 (of 5 total)
  • There have been a few hotfixes to the download in between the time it was available on the download page and the actual announcement, which is going out in a few hours. Try re-downloading and overwrite your xmlrpc.php file.

    Downloaded newest ZIP file.
    Deleted old xmlrpc.php
    Copied only the new xmlrpc.php onto the server
    Same problem.

    Just copied my xmlrpc.php from beta 6 on the server and deleted the new one. Works perfectly for posting so far!


    The problem is on line 767 of the xmlrpc.php file. I looked at the copy from 2/10/05 and the line looked like this.
    $struct[‘htmlUrl’] = wp_specialchars(get_category_link(false, $cat[‘cat_ID’], $cat[‘cat_name’]));

    In the new version it looks like this
    $struct[‘htmlUrl’] = wp_specialchars(get_category_link($cat[‘cat_ID’]);

    If you change this line it will work.

    Yes that’s what was fixed in the download.

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘w.bloggar 4.0 & wp1.5 final’ is closed to new replies.